View Issue Details

IDProjectCategoryView StatusLast Update
0012017MediaMonkey (current)Framework: Taggingpublic2016-09-13 11:42
Reportermichal 
PrioritynoneSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version4.1.1 
Target Version4.1.2Fixed in Version4.1.2 
Summary0012017: Some M4A/MP4 tags written by WMP or Win7 Explorer are not read
DescriptionWindows Explorer in Win7 uses some custom MP4 atom "Xtra" for storing some tags - e.g. rating, publisher or leveling info. We should support them.

WMP12 and Windows Explorer store the following WM attributes in the "Xtra" atom:
WM/EncodingTime
WM/MediaClassSecondaryID
WM/MediaClassPrimaryID
WM/Provider
WM/ContentDistributor
WM/WMContentID
WM/WMCollectionID
WM/WMCollectionGroupID
WM/Publisher
WM/UniqueFileIdentifier
WM/ProviderStyle
WM/SharedUserRating
WM/SubTitle
WM/Mood
WM/Conductor
WM/PartOfSet
WM/InitialKey
WM/Producer
WM/ParentalRating
WM/ContentGroupDescription
WM/Period
WM/PromotionURL
WM/AuthorURL
WM/EncodedBy
WM/Category
AverageLevel
PeakValue
Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=1&t=76321
TagsNo tags attached.
Fixed in build1704

Relationships

related to 0012133 closedmichal AAC/M4A: Some Files when editing Tag info they get corrupted 
related to 0013513 closedpeke MM sometimes do not read track and disc number tags udpated by other tagging apps from M4A/MP4 

Activities

michal

2014-04-23 15:34

developer   ~0040101

Fixed in build 1704.

We read and write these WM tags (the rest is preserved, but not used by MM4):
WM/SharedUserRating, WM/Publisher, WM/SubTitle, WM/Mood, WM/Conductor, WM/PartOfSet, WM/Producer, WM/Writer, WM/Director, WM/ParentalRating and WM/ContentGroupDescription.

We do not read AverageLevel and PeakValue, I am not sure, where are these values from and exactly in what format.

By default, we write these WM tags together with standard MP4 tags, so Windows Explorer will see them too. When reading, MM4 prefers standard MP4 tags.

User could forbid adding WM tags to the MP4/M4A file by specifying:

[MP4Tagging]
WriteWMTags=0

to MediaMonkey.ini.

peke

2014-05-01 21:27

developer   ~0040147

Verified 1704